Bug 1054269 - Review Request: storaged - LVM DBus add-on for udisks
Summary: Review Request: storaged - LVM DBus add-on for udisks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 14:42 UTC by Patrick Uiterwijk
Modified: 2014-02-03 02:38 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-01-25 02:22:01 UTC
sgallagh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2014-01-16 14:42:34 UTC
Spec URL: http://puiterwijk.fedorapeople.org//storaged.spec
SRPM URL: http://puiterwijk.fedorapeople.org//storaged-0.1.0-1.fc20.src.rpm

Description:
The udisks project provides a daemon, tools and libraries to access
and manipulate disks and storage devices.

This is an add-on to udisks, that enables usage of LVM.

Comment 1 Patrick Uiterwijk 2014-01-16 14:46:15 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6414698

Comment 2 Stephen Gallagher 2014-01-16 15:28:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== Issues =====
[!] The summary and description are udisks-centric and focused on LVM. It would probably be better to describe it as a set of extended storage capabilities built upon the udisks foundation

[!] 'BuildRequires: systemd' appears twice

[?] There are no arguments passed to %configure and the output of ./configure does not list defaults for some options. I'm assuming they are appropriate for Fedora.

===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "LGPL", "GPL (v2 or later)". Detailed output of
     licensecheck in /dev/shm/1054269-storaged/licensecheck.txt
[X]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: storaged-0.1.0-1.fc21.x86_64.rpm
          storaged-0.1.0-1.fc21.src.rpm
storaged.x86_64: W: spelling-error Summary(en_US) udisks -> disks, u disks, Saudis
storaged.x86_64: W: spelling-error %description -l en_US udisks -> disks, u disks, Saudis
storaged.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.lvm2.conf
storaged.src: W: spelling-error Summary(en_US) udisks -> disks, u disks, Saudis
storaged.src: W: spelling-error %description -l en_US udisks -> disks, u disks, Saudis
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint storaged
storaged.x86_64: W: spelling-error Summary(en_US) udisks -> disks, u disks, Saudis
storaged.x86_64: W: spelling-error %description -l en_US udisks -> disks, u disks, Saudis
storaged.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.lvm2.conf
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
storaged (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgudev-1.0.so.0()(64bit)
    liblvm2app.so.2.2()(64bit)
    liblvm2app.so.2.2(Base)(64bit)
    libpolkit-gobject-1.so.0()(64bit)
    libpthread.so.0()(64bit)
    libudisks2.so.0()(64bit)
    rtld(GNU_HASH)
    systemd



Provides
--------
storaged:
    storaged
    storaged(x86-64)



Source checksums
----------------
https://github.com/cockpit-project/storaged/archive/0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : af6d91eb652fe026c6ee476c94e4a47d1c614d396d7a792ceed2ccf5d367e6f3
  CHECKSUM(SHA256) upstream package : af6d91eb652fe026c6ee476c94e4a47d1c614d396d7a792ceed2ccf5d367e6f3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1054269 -m fedora-rawhide-x86_64 -v
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Patrick Uiterwijk 2014-01-16 23:03:50 UTC
Spec URL: http://puiterwijk.fedorapeople.org//storaged.spec
SRPM URL: http://puiterwijk.fedorapeople.org//storaged-0.1.0-2.fc20.src.rpm


* Thu Jan 16 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.1.0-2
- Removed double systemd BuildRequire
- Rewritten summary and description

Comment 4 Patrick Uiterwijk 2014-01-16 23:15:44 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6417339

Comment 5 Stephen Gallagher 2014-01-17 21:12:26 UTC
Looks good to me. Approved.

Comment 6 Patrick Uiterwijk 2014-01-18 00:11:08 UTC
New Package SCM Request
=======================
Package Name: storaged
Short Description: Extended storage management DBus service
Owners: puiterwijk
Branches: f19 f20 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2014-01-21 14:08:31 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-22 15:30:57 UTC
storaged-0.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/storaged-0.1.0-2.fc19

Comment 9 Fedora Update System 2014-01-22 15:31:08 UTC
storaged-0.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/storaged-0.1.0-2.fc20

Comment 10 Fedora Update System 2014-01-23 11:02:37 UTC
storaged-0.1.0-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2014-01-25 02:22:01 UTC
storaged-0.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-02-03 02:38:33 UTC
storaged-0.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.